#ifndef __FO_WEB_SERVER__
#define __FO_WEB_SERVER__

#include "thread.h"
#include "socket.h"

class FoWebServer {
public:
	FoWebServer();
	void Init();
	void Do( FOHANDLE quit_event );
	void Stop();
	void Deinit();

	void GrabMutex();
	void ReleaseMutex();
	int num_of_clients;

protected:
	SOCKET listen_socket;
	FOHANDLE server_mutex;
};

#endif
